Skip to main content

Filter orders

GET /orders?parameter-lookup=value HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
info

You may want to check general API filters documentation.

Filters lookups are listed HERE (string, choices, range, isnull y date).

Exact total amount

GET /orders?total_amount=462000 HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com

Confirmed after

GET /orders?confirmed-gte=2015-12-22T15:09:30.537951Z HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com

Verified but not confirmed

GET /orders?verified-isnull=yes&confirmed-isnull=no HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
ParameterTypeRequiredDescription
idhashstringYour order ID in aplazame.
midstringstringYour order ID.
total_amountdecimalrangeOrder amount.
discountdecimalisnull, rangeOrder discount amount.
discount_ratedecimalisnull, rangeDiscount rate on the price of the order.
createdISO 8601date, rangeDate designating when the order was created.
verifiedISO 8601isnull, date, rangeDate designating when the order was verified.
confirmedISO 8601isnull, date, rangeDate designating when the order was confirmed.
cancelledISO 8601isnull, date, rangeDate designating when the order was cancelled.

Downpayment

GET /orders?instalment_plan-downpayment-state=failed HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
ParameterTypeRequiredDescription
instalment_plan-downpayment-statestringchoicesDownpayment status.
instalment_plan-downpayment-amountdecimalisnull, rangeDownpayment amount.

By phone

Customer phone number exact

GET /orders?customer-phone-number=612345678 HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
ParameterTypeRequiredDescription
customer-idhashstringCustomer ID.
customer-phone-numberstringstringCustomer mobile phone number.
customer-phone-countryISO 3166-1stringCustomer phone country.
customer-createdISO 8601date, rangeDate designating when the customer was created.

By customer document ID

Document ID type; choices are nif or nie

GET /orders?customer-document_id-type=nif&customer-document_id-type=nie HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
ParameterTypeRequiredDescription
customer-document_id-numberstringstringCustomer document ID number.
customer-document_id-countryISO 3166-1stringCustomer document ID country.
customer-document_id-typestringchoicesCustomer document ID type; the choices are nif, nie, cif, passport, others.

By account

Gender exact

GET /orders?account-type=existing&account-gender=0 HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com

Last login is not null.

GET /orders?account-last_login-isnull=no HTTP/1.1
Accept: application/vnd.aplazame.v1+json
Authorization: Bearer api_private_key
Host: api.aplazame.com
ParameterTypeRequiredDescription
account-idhashstringCustomer ID.
account-typestringchoicesCustomer type; the choices are g guest, n new, e existing.
account-genderintegerchoicesGender; the choices are 0 not known, 1 male, 2 female, 3 not applicable.
account-last_loginISO 8601isnull, date, rangeDate of the customer's last login.
account-date_joinedISO 8601isnull, date, rangeDate designating when the customer account was created.